import { Result } from "../../domain/models/result";
import { GetAccountTransactionList } from "../../domain/usages/get-account-transaction-list";
import { HttpGetClient } from "../protocols/http/http-get-client";
export declare class RemoteGetTransactionList implements GetAccountTransactionList {
  private readonly url;
  private readonly httpGetClient;
  constructor(url: string, httpGetClient: HttpGetClient);
  get(params: GetAccountTransactionList.Params): Promise<Result>;
}
