import { AccountTransaction } from '../../../domain/models/account-transaction';
import { GetAccountTransactionList } from '../../../domain/usages/get-account-transaction-list';
export declare class AccountTransactionListComponent {
  /** Get account transaction list */
  getAccountTransactionList: GetAccountTransactionList;
  /** loading */
  loading: boolean;
  /** Account transactions */
  transactions: AccountTransaction[];
  /**
   * When component loads
   * fetch account transactions
   *
   * @returns
   */
  componentWillLoad(): Promise<void>;
  /**
   * Fetch account transactions
   */
  fetchAccountTransactions(): Promise<void>;
  render(): any;
}
