import { EventEmitter, Events } from "../../data/protocols/events/event";
export declare class LocalEventEmitter implements EventEmitter {
  _events: {
    [key in Events]?: Function[];
  };
  private static instance;
  /**
   * Singleton class private contructor
   */
  private constructor();
  /**
   * Singleton class create instance
   */
  static getInstance(): LocalEventEmitter;
  dispatch(event: Events, data: any): void;
  subscribe(event: Events, callback: (data: any) => any): void;
  unsubscribe(event: Events): void;
}
